org.eclipse.wst.jsdt.chromium.debug.ui.editors

## Class JsDebugTextHover

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.editors.JsDebugTextHover

    public class JsDebugTextHover
    extends java.lang.Object

Supplies a hover for JavaScript expressions while on a breakpoint.

### Constructor Summary

Constructors
Constructor and Description
`JsDebugTextHover()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHoverInfo(ITextViewer textViewer, IRegion hoverRegion)`
`IRegion` `getHoverRegion(ITextViewer textViewer, int offset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsDebugTextHover

    public JsDebugTextHover()

### Method Detail

#### getHoverInfo

    public java.lang.String getHoverInfo(ITextViewer textViewer,
                                         IRegion hoverRegion)

#### getHoverRegion

    public IRegion getHoverRegion(ITextViewer textViewer,
                                  int offset)